const util = require('util');
const path = require("path");
const exec = util.promisify(require('child_process').exec);

async function init() {
    await exec("npm install --global @gltf-transform/cli")
}

async function run(filename) {
    await exec("gltf-transform simplify " + path.join(__dirname, "../queue/", filename) + " "
        + path.join(__dirname, "../queue/", filename) + " --ratio 0.8")
}

module.exports = {
    init,
    run
}